<?php

namespace App\Service\HeaderWord;




use App\Model\Header_ext;
use App\Service\Service;

/**
 * 表头相关工厂模式
 * @package App\Models
 */
class HeaderWordHookService extends Service
{

    protected static $instance;
    protected static $header;
    protected static $header_detail;

    public function __construct(){

    }

    public static function getInstance(): self
    {
        if (self::$instance == null) {
            self::$instance = new HeaderWordHookService();
        }
        return self::$instance;
    }

    public function getHeaderWord($data){

        if(!isset($data['type'])) return [false,'not found type'];
        $type = $data['type'];
        $list = Header_ext::where('type',$type)->orderBy('sort','asc')->select('*')->get()->toArray();
//        self::$header_detail = Header_ext::where('type',$type_detail)->pluck('value','key')->toArray();

        return [true,$list];
    }








}
