<?php

namespace App\Service\Order;


use App\Model\Orders;
use App\Model\OrdersHouse;
use App\Model\OrdersProduct;
use App\Model\OrdersProductPart;
use App\Service\Service;
use Illuminate\Support\Facades\DB;

/**
 * order表相关保存订单基本信息
 * @package App\Models
 */
class OrderTransportService extends Service
{


    public function transportDetail($data){
        $data = [
            [
                'order_in_no' => '包装单号',
                'transport_no' => '发货单号',
                'state' => '0未发货，1已发货，2已收货',
                'tag' => '芯片',
                'bom_title' => '门板',
                'product_title' => '柜子',
            ]
        ];

        $return  = [
            'data' => $data,
            'total' => 1,
        ];

        return [true,$return];
    }


    public function boxTransport($data){
        $order_in_no = $this->setOrderNo();

        return [true,$order_in_no];
    }

    public function transportConfirm($data){
        $order_in_no = $this->setOrderNo();

        return [true,$order_in_no];
    }


    function setOrderNo(){
        $order_no = date('Ymd').time();

        return $order_no;
    }


}
