<?php

namespace App\Http\Controllers\Api;


use App\Service\MaterialService;
use App\Service\MeasureService;
use App\Service\SysMenuService;
use Illuminate\Http\Request;


class MaterialController extends BaseController
{





    public function basicMaterialList(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicMaterialList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function basicMaterialEdit(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicMaterialEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function basicMaterialDel(Request $request)
    {

        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicMaterialDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function basicMaterialAdd(Request $request)
    {
        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicMaterialAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function materialList(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->materialList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }    public function materialDetail(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->materialDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function materialEdit(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->materialEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function materialDel(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->materialDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }


    public function materialAdd(Request $request)
    {


        $service = new MaterialService();
        $user = $request->get('auth');
        list($status,$data) = $service->materialAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }




}
