<?php

namespace App\Http\Controllers\Api;


use App\Service\ProcessService;
use Illuminate\Http\Request;


class ProcessController extends BaseController
{
    public function basicProcessList(Request $request)
    {


        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicProcessList($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function basicProcessEdit(Request $request)
    {


        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicProcessEdit($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function basicProcessAdd(Request $request)
    {


        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicProcessAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function basicProcessDel(Request $request)
    {


        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->basicProcessDel($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function processList(Request $request)
    {
        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->processList($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function processEdit(Request $request)
    {
        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->processEdit($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function processAdd(Request $request)
    {
        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->processAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function processDel(Request $request)
    {
        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->processDel($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function processDetail(Request $request)
    {
        $service = new ProcessService();
        $user = $request->get('auth');
        list($status,$data) = $service->processDetail($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
